%define	name	methane_new
%define	oname	methane
%define	version	1.4.7
%define	release	1mdk
%define	Summary	Super Methane Brothers

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	http://www.methane.fsnet.co.uk/%{oname}-%{version}.tar.bz2
Source11:	%{oname}.16.png
Source12:	%{oname}.32.png
Source13:	%{oname}.48.png
Patch0:		methane-1.4.7-score.patch.bz2
Patch1:		methane-1.4.7-deps-mkdir-p.patch.bz2

URL:		http://www.methane.fsnet.co.uk/index.html
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel libhermes-devel libmikmod-devel
BuildRequires:	clanlib0.7-devel >= 0.7.8
# (gc) needed because of binary incompatibility of datafiles between versions of clanlib
#Requires:	clanlib0.6 = 0.6.5
# Author: rombust@postmaster.co.uk

%description
A bubble bobble like arcade game.

IMPORTANT NOTE: this is a conversion of the Commodore Amiga game. The
author had been given permission by the company (Apache Software Ltd) to
release this game as GPL. However - THE ORIGINAL AMIGA VERSION OF SUPER
METHANE BROTHERS IS STILL A COMMERCIAL GAME IT'S LICENCE HAS NOT CHANGED.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
%patch1 -p1 -p1 -b .deps-mkdir-p

%build
cd source/linux
export CXXFLAGS="$RPM_OPT_FLAGS"
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 source/linux/%{oname} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{oname}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{oname}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{oname}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{oname}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{oname}
?package(%{oname}):command="%{_gamesbindir}/%{oname}" icon="%{oname}.png" \
  needs="X11" section="More Applications/Games/Arcade" title="%{Summary}" \
  longtitle="A bubble bobble like arcade game"
EOF

chmod a+rx docs

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games
touch $RPM_BUILD_ROOT%{_localstatedir}/games/%{oname}scores
chmod a+w $RPM_BUILD_ROOT%{_localstatedir}/games/%{oname}scores

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
if [ ! -f %{_localstatedir}/games/%{oname}scores ]; then
		touch %{_localstatedir}/games/%{oname}scores
		chown games.games %{_localstatedir}/games/%{oname}scores
		chmod 664 %{_localstatedir}/games/%{oname}scores
fi		

%postun
%{clean_menus}

%files
%defattr(644,root,root,755)
%doc authors copying readme history install todo docs/
%defattr(-,root,root)
%attr(2755, root, games) %{_gamesbindir}/%{oname}
%attr(664, games, games) %ghost %{_localstatedir}/games/%{oname}scores
%{_menudir}/%{oname}
%{_miconsdir}/%{oname}.png
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}.png

%changelog
* Tue Mar 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.7-1mdk
- 1.4.7 (now with 2 player support!:)
- temporary new name for package built for clanlib0.7
- regenerate P0 & P1
- drop packager tag

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.6-5mdk
- rebuild for new menu

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.6-4mdk
- rebuild
- cosmetics

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.6-3mdk
- make sure to get parallel build working

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.6-2mdk
- fix deps

* Tue Jul 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.4.6-1mdk
- 1.4.6
- convert icons to png format
- use %%make macro
- change summary macro to avoid conflicts if we were to build debug package
- macroize
- don't use %%{_iconsdir}/* in %%fileslist
- drop prefix tag
- drop P1, merged upstream

* Mon Mar 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.5-2mdk
- fix #2988 thx to a patch from upstream author

* Sat Feb 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.5-1mdk
- new version thx to Crispin Boylan <viewtronix at uklinux.net>

* Mon Jan 20 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.4-1mdk
- take good work from Crispin Boylan <viewtronix at uklinux.net>
  - new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.0-9mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-8mdk
- Remove NO_XALF from menu entry

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.0-7mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-6mdk
- rebuild to link against latest libstdc++

* Mon Nov 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-5mdk
- recompile against clanlib-0.5.1 (binary datafiles are not compatible
  with 0.5.0)

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix obsolete-tag Copyright

* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- don't require launch_x11_clanapp anymore we're using clanlib-0.5
- mimic krozat and use NO_XALF for gnome

* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-2mdk
- use great work from Sitsofe Wheeler <sits@sucs.swan.ac.uk>
  - add menu support with icons
  - patch savegame location
- allow saving of scorefile using setgid games and ghostfile

* Fri Aug 24 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- new version
- 3 patches integrated upstream

* Tue Jun 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.4-1mdk
- first mdk package (suggested by pambon)
